## Settings file was created by plugin Aliem v1.2.2
## Plugin GUID: com.TheTimeSweeper.Aliem

[Aliem]

## Enable wip/unused content and recolor skins
## Default: False (restart required)
# Setting type: Boolean
# Default value: false
Cursed = false

## Change the ror-friendly-ish gup skin to be default skin and icon.
## should also change the name and sounds but I can't be arsed
## Default: False (restart required)
# Setting type: Boolean
# Default value: false
GupDefault = false

## Set false to disable mash to shoot, hold to charge functionality. Sword is a lot more boring tho
## Default: True
# Setting type: Boolean
# Default value: true
Mashing = true

## levelMaxHealth will be adjusted accordingly (baseMaxHealth * 0.3)
## Default: 110 (restart required)
# Setting type: Single
# Default value: 110
AliemBody Base Max Health = 110

## levelRegen will be adjusted accordingly (baseRegen * 0.2)
## Default: 1.5 (restart required)
# Setting type: Single
# Default value: 1.5
AliemBody Base Regen = 1.5

## AliemBody Armor
## Default: 10 (restart required)
# Setting type: Single
# Default value: 10
AliemBody Armor = 10

## pretty much all survivors are 12. If you want to change damage, change damage of the moves instead.
## levelDamage will be adjusted accordingly (baseDamage * 0.2)
## Default: 12 (restart required)
# Setting type: Single
# Default value: 12
AliemBody Base Damage = 12

## AliemBody Jump Count
## Default: 2 (restart required)
# Setting type: Int32
# Default value: 2
AliemBody Jump Count = 2

## M2_ChargedShot cooldown
## Default: 5 (restart required)
# Setting type: Single
# Default value: 5
M2_ChargedShot cooldown = 5

## M2_ChargedShot stocks
## Default: 1 (restart required)
# Setting type: Int32
# Default value: 1
M2_ChargedShot stocks = 1

## M3_Dive cooldown
## Default: 5 (restart required)
# Setting type: Single
# Default value: 5
M3_Dive cooldown = 5

## M3_Dive stocks
## Default: 1 (restart required)
# Setting type: Int32
# Default value: 1
M3_Dive stocks = 1

## M4_Grenade cooldown
## Default: 10 (restart required)
# Setting type: Single
# Default value: 10
M4_Grenade cooldown = 10

## M4_Grenade stocks
## Default: 1 (restart required)
# Setting type: Int32
# Default value: 1
M4_Grenade stocks = 1

## M4_WeaponSwaps cooldown
## Default: 6 (restart required)
# Setting type: Single
# Default value: 6
M4_WeaponSwaps cooldown = 6

## M4_WeaponSwaps stocks
## Default: 1 (restart required)
# Setting type: Int32
# Default value: 1
M4_WeaponSwaps stocks = 1

M4_Grenade_Scepter cooldown = 10

M4_Grenade_Scepter stocks = 1

[Debug]

## in case I forget to delete them when I upload
# Setting type: Boolean
# Default value: false
Debug Logs = false

## BBGunRange
## Default: 42
# Setting type: Single
# Default value: 42
BBGunRange = 42

## bbgunMinSpeed
## Default: 55
# Setting type: Single
# Default value: 55
bbgunMinSpeed = 55

## bbgunMaxSpeed
## Default: 117
# Setting type: Single
# Default value: 117
bbgunMaxSpeed = 117

## bbgunSpreadYaw
## Default: 2
# Setting type: Single
# Default value: 2
bbgunSpreadYaw = 2

## bbgunBaseBs
## Default: 2
# Setting type: Int32
# Default value: 2
bbgunBaseBs = 2

## bbgunRadius
## Default: 2
# Setting type: Int32
# Default value: 2
bbgunRadius = 2

[General]

Cursed = false

Always Ride = false

[Other]

## M4_GrenadeDamage
## Default: 12
# Setting type: Single
# Default value: 12
M4_GrenadeDamage = 12

## M4_WeaponSwap_Duration
## Default: 6
# Setting type: Single
# Default value: 6
M4_WeaponSwap_Duration = 6

[Primaries]

## M1_RayGun_Damage
## Default: 2
# Setting type: Single
# Default value: 2
M1_RayGun_Damage = 2

## lower duration means higher attack speed
## Default: 0.32
# Setting type: Single
# Default value: 0.32
M1_RayGun_Duration = 0.32

## based on raygun damage
## Default: 1
# Setting type: Single
# Default value: 1
M1_RayGun_CloseRangeKnife_Damage_Multiplier = 1

## lower duration means higher attack speed
## Default: 0.43
# Setting type: Single
# Default value: 0.43
M1_RayGun_CloseRangeKnife_Duration = 0.43

## M1_RayGunCharged_Damage_Min
## Default: 2
# Setting type: Single
# Default value: 2
M1_RayGunCharged_Damage_Min = 2

## M1_RayGunCharged_Damage_Max
## Default: 6
# Setting type: Single
# Default value: 6
M1_RayGunCharged_Damage_Max = 6

## Lighter sound
## Default: False
# Setting type: Boolean
# Default value: false
M1_RayGun_Sound_Alt = false

## M1_Sword_Damage
## Default: 1.2
# Setting type: Single
# Default value: 1.2
M1_Sword_Damage = 1.2

## lower duration means higher attack speed
## Default: 0.2
# Setting type: Single
# Default value: 0.2
M1_Sword_Duration = 0.2

## M1_SwordCharged_Damage_Min
## Default: 2
# Setting type: Single
# Default value: 2
M1_SwordCharged_Damage_Min = 2

## M1_SwordCharged_Damage_Max
## Default: 8
# Setting type: Single
# Default value: 8
M1_SwordCharged_Damage_Max = 8

## M1_SwordCharged_Speed_Min
## Default: 80
# Setting type: Single
# Default value: 80
M1_SwordCharged_Speed_Min = 80

## M1_SwordCharged_Speed_Max
## Default: 122
# Setting type: Single
# Default value: 122
M1_SwordCharged_Speed_Max = 122

## M1_MachineGun_Damage
## Default: 1.6
# Setting type: Single
# Default value: 1.6
M1_MachineGun_Damage = 1.6

## lower duration means higher attack speed
## Default: 0.22
# Setting type: Single
# Default value: 0.22
M1_MachineGun_Duration = 0.22

## If true, default falloff like commando. if false none
## Machine gun damage is balanced around this. if you disable falloff, reduce MachineGun_Damage a bit
## Default: True
# Setting type: Boolean
# Default value: true
M1_MachineGun_Falloff = true

## if it seems like it's lower than uncharged, it's not really cause falloff
## Default: 1.2
# Setting type: Single
# Default value: 1.2
M1_MachineGunCharged_Damage = 1.2

## M1_MachineGunCharged_Bullets_Min
## Default: 1
# Setting type: Int32
# Default value: 1
M1_MachineGunCharged_Bullets_Min = 1

## M1_MachineGunCharged_Bullets_Max
## Default: 8
# Setting type: Int32
# Default value: 8
M1_MachineGunCharged_Bullets_Max = 8

## M1_MachineGunCharged_Spread
## Default: 3
# Setting type: Single
# Default value: 3
M1_MachineGunCharged_Spread = 3

## lower interval means volley of shots fire faster
## Default: 0.1
# Setting type: Single
# Default value: 0.1
M1_MachineGunCharged_Interval = 0.1

## lower duration means higher attack speed
## Default: 1
# Setting type: Single
# Default value: 1
M1_SawedOff_Duration = 1

## M1_SawedOff_Damage
## Default: 0.7
# Setting type: Single
# Default value: 0.7
M1_SawedOff_Damage = 0.7

## M1_SawedOff_Bullets
## Default: 12
# Setting type: Int32
# Default value: 12
M1_SawedOff_Bullets = 12

## screenshake
## Default: 3
# Setting type: Single
# Default value: 3
M1_SawedOff_Recoil = 3

## M1_SawedOff_Spread
## Default: 12
# Setting type: Single
# Default value: 12
M1_SawedOff_Spread = 12

## M1_SawedOff_SelfKnockback
## Default: 12
# Setting type: Single
# Default value: 12
M1_SawedOff_SelfKnockback = 12

## M1_SawedOffCharged_Damage_Min
## Default: 2
# Setting type: Single
# Default value: 2
M1_SawedOffCharged_Damage_Min = 2

## M1_SawedOffCharged_Damage_Max
## Default: 5
# Setting type: Single
# Default value: 5
M1_SawedOffCharged_Damage_Max = 5

## M1_SawedOffCharged_SelfKnockback
## Default: 18
# Setting type: Single
# Default value: 18
M1_SawedOffCharged_SelfKnockback = 18

## M1_BBGun_Damage
## Default: 0.65
# Setting type: Single
# Default value: 0.65
M1_BBGun_Damage = 0.65

## very low because very high firerate. if you increase this, lower fire rate
## Default: 0.55
# Setting type: Single
# Default value: 0.55
M1_BBGun_ProcCoefficient = 0.55

## lower interval means fire faster. measured in fixedupdates (frames/ticks). ror2 updates 50 times per frame.
## set 1 to fire 50 times per second. set 5 to fire every 5 updates so 10 times per second, etc
## be careful, this attack scales past framerate
## Default: 4
# Setting type: Single
# Default value: 4
M1_BBGun_Interval = 4

## M1_BBGun_Spread
## Default: 10
# Setting type: Single
# Default value: 10
M1_BBGun_Spread = 10

## Set false and some bees will not render to help performance. Damage instances will not be affected
## Default: True (restart required)
# Setting type: Boolean
# Default value: true
M1_BBGun_VFXAlways = true

## [WIP] Squeezes out some extra frames by putting bees in an object pool.
## Disable if it is causing issues
## I wrote a bunch of code and it only saved like 8fps but it was an improvement so I'm keeping it.
## Default: False (restart required)
# Setting type: Boolean
# Default value: false
M1_BBGun_VFXPooled = false

## M1_BBGunCharged_Damage_Min
## Default: 0.5
# Setting type: Single
# Default value: 0.5
M1_BBGunCharged_Damage_Min = 0.5

## M1_BBGunCharged_Damage_Max
## Default: 1.8
# Setting type: Single
# Default value: 1.8
M1_BBGunCharged_Damage_Max = 1.8

## interval between repeated hits of the big bee. -1 to only hit once. do not set to 0
## Default: 0.5 (restart required)
# Setting type: Single
# Default value: 0.5
M1_BBGunCharged_HitInterval = 0.5

[Utility]

## While leaping, you will only ride enemies while holding input. Set true to always ride enemy while leaping
## Default: False
# Setting type: Boolean
# Default value: false
M3_Leap_AlwaysRide = false

## Should you be able to control an enemy's movement if you're riding it (doesn't override attacking, they'll still try to attack you)
## Default: False
# Setting type: Boolean
# Default value: false
M3_Leap_RidingControl = false

## M3_Leap_ImpactDamage
## Default: 1
# Setting type: Single
# Default value: 1
M3_Leap_ImpactDamage = 1

## M3_Leap_Armor
## Default: 50
# Setting type: Int32
# Default value: 50
M3_Leap_Armor = 50

## M3_Leap_RidingArmor
## Default: 20
# Setting type: Int32
# Default value: 20
M3_Leap_RidingArmor = 20

## M3_BurrowPopOutDamage
## Default: 2
# Setting type: Single
# Default value: 2
M3_BurrowPopOutDamage = 2

## M3_BurrowPopOutForce
## Default: 1000
# Setting type: Single
# Default value: 1000
M3_BurrowPopOutForce = 1000

## M3_ChompDamage
## Default: 3
# Setting type: Single
# Default value: 3
M3_ChompDamage = 3

## Does chomp deal up to 3x damage to low health enemies
## Default: True
# Setting type: Boolean
# Default value: true
M3_ChompSlayer = true

## M3_ChompHealing
## Default: 0.3
# Setting type: Single
# Default value: 0.3
M3_ChompHealing = 0.3

## Does chomp heal based on missing health or max health
## Default: True
# Setting type: Boolean
# Default value: true
M3_Chomp_HealMissing = true

